## kopete 15.08.2

=== debian/changelog ===
kopete (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:39:21 +0100

kopete (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Remove cryptography files no longer built

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Sep 2015 17:14:38 +0100

kopete (4:15.08.1-0ubuntu2) wily; urgency=medium

  * remove random build-dep on libkleo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2015 14:36:00 +0100

kopete (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:15:28 +0100

kopete (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Rebuild against kdelibs5-dev >= 4:4.14.10-1ubuntu1~
    + This is to adopt new the libgpgme++ soversion (gcc5 transition)
  * Drop kdepim-dev build dependency. It is not actually used.

 -- Harald Sitter <sitter@kde.org>  Mon, 31 Aug 2015 15:22:20 +0200

kopete (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:03 +0100

kopete (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Build depend on libboost-dev instead of libboost1.55-dev. Right now the
    default is libboost1.58-dev so if we don't change this the package may be
    unable to build.

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:50:51 +0100

kopete (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Update symbols files for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Aug 2015 22:11:14 +0200

kopete (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:08:42 +0000

kopete (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:16:09 +0200
