=== protocols/qq/icons/CMakeLists.txt ===

kde4_install_icons( ${DATA_INSTALL_DIR}/kopete/icons  )
