=== styles/Clean/Contents/Resources/Incoming/CMakeLists.txt ===

########### install files ###############

install( FILES buddy_icon.png Content.html NextContent.html  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Clean/Contents/Resources/Incoming)
