=== styles/Pidgin/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES state-sending.gif state-error.png  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Pidgin/Contents/Resources/images)
