=== debian/changelog ===
kopete (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * Combine duplicate licence entries into single licence types
    to make lintian happy. 
  * Another new upstream bugfix release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:41:57 -0700

kopete (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Add disable_failing_test.diff to disable a test that fails upstream and
    blocks the autopkgtest QA

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 Mar 2016 22:43:10 +0100

kopete (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 
  * Fix copyright file to subtract duplicate files from catch all. 
  * Revert last commit, new lintain error. According
    to docs original format should have been fine. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:58:51 +0100

kopete (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:05 +0100

kopete (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:09:52 +0000

kopete (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:13 +0100

kopete (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files from buildds logs (4:15.08.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:10 +0200

kopete (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:45 +0100

kopete (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for giflib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Oct 2015 03:07:48 +0000

kopete (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Sep 2015 08:42:58 +0200

kopete (4:15.08.0-2) unstable; urgency=medium

  * Set kdepim-runtime as a recommends. (Closes: #797746) Thanks to
    Salvo Tomaselli

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:45:55 +0200

kopete (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files from buildds logs (4:14.12.3-1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Add libsoprano-dev build dep. (Closes: #797644)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 23:21:40 +0200

kopete (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:49 +0200

kopete (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 11:32:57 +0100
