=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               kdepimlibs5-dev (>= 4:4.14.10-1ubuntu1~),
+               kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
                libexpat-dev,
+               libexpat1-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
-               libgnutls-dev,
+               libgnutls28-dev,
                libgpgme11-dev,
                libidn11-dev,
                libjasper-dev,
@@ -31,6 +32,7 @@
                libotr5-dev,
                libqca2-dev (>= 2.0.0),
                libqimageblitz-dev (>= 1:0.0.4),
+               libsoprano-dev,
                libsqlite3-dev,
                libsrtp0-dev,
                libssl-dev,
@@ -43,10 +45,9 @@
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kopete.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kopete.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kopete.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -67,7 +68,7 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Recommends: kdepim-runtime, libqca2-plugin-ossl, libqt4-sql-sqlite
 Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
