=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
@@ -46,8 +46,8 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kopete.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kopete.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: libkopete4
 Section: libs
