=== debian/changelog ===
kopete (4:16.08.1-3) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/fix_otr.patch from upstream to resolve issue with
    unencrypted messages being sent without notice (Closes: #827048)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Jan 2017 09:00:46 -0500

kopete (4:16.08.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly build with libssl1.0-dev (Closes: #828367).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 00:34:31 +0500

kopete (4:16.08.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop libmsn-dev from build-depends since MSN is long dead, this is useless
  * Update kopete.install as well.

  [ Automatic packaging ]
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:58:27 +0200

kopete (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:08:33 +0200

kopete (4:16.04.0-2) unstable; urgency=medium

  * Follow jasper archive removal. (Closes: #818212)
  * Yahoo support is gone with the jasper removal

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 May 2016 14:10:28 +0200

kopete (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop kdepim-runtime as a test build dependency

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:32:39 +0200
