=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev,
                kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
@@ -22,12 +22,10 @@
                libgnutls28-dev,
                libgpgme11-dev,
                libidn11-dev,
-               libjasper-dev,
                libjpeg-dev,
                libjsoncpp-dev,
                libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
-               libmsn-dev (>= 4.1),
                libortp-dev (>= 0.13),
                libotr5-dev,
                libqca2-dev (>= 2.0.0),
@@ -35,7 +33,7 @@
                libsoprano-dev,
                libsqlite3-dev,
                libsrtp0-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libv4l-dev [linux-any],
                libxdamage-dev,
                libxml2-dev,
@@ -44,10 +42,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kopete.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kopete.git
 
 Package: libkopete4
 Section: libs
